- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# Locator_Repository.cpp File Reference

`#include "Locator_Repository.h"`
`#include "Locator_XMLHandler.h"`
`#include "utils.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_ctype.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ACEXML/parser/parser/Parser.h"`
`#include "ACEXML/common/FileCharStream.h"`
`#include "ACEXML/common/XML_Util.h"`

Include dependency graph for Locator_Repository.cpp:

## Classes
class | Server_Repo_XML_Callback
## Functions
static ACE_CString | lcase (const ACE_CString &s)
static void | loadActivatorsAsBinary (ACE_Configuration &config, Locator_Repository::AIMap &map)
static void | loadServersAsBinary (ACE_Configuration &config, Locator_Repository::SIMap &map)
static void | loadAsBinary (ACE_Configuration &config, Locator_Repository &repo)
static void | convertEnvList (const Locator_XMLHandler::EnvList &in, ImplementationRepository::EnvironmentList &out)
static int | loadAsXML (const ACE_CString &fname, Locator_Repository &repo)
static void | saveAsXML (const ACE_CString &fname, Locator_Repository &repo)
## Variables
static const char * | STARTUP_COMMAND = "StartupCommand"
static const char * | WORKING_DIR = "WorkingDir"
static const char * | ENVIRONMENT = "Environment"
static const char * | ACTIVATION = "Activation"
static const char * | PARTIAL_IOR = "Location"
static const char * | IOR = "IOR"
static const char * | START_LIMIT = "StartLimit"
static const char * | ACTIVATOR = "Activator"
static const char * | SERVERS_ROOT_KEY = "Servers"
static const char * | ACTIVATORS_ROOT_KEY = "Activators"
static const char * | TOKEN = "Token"
static const char * | WIN32_REG_KEY = "Software\\TAO\\ImplementationRepository"

## Function Documentation

static void convertEnvList | ( | const Locator_XMLHandler::EnvList & | in,
|  | ImplementationRepository::EnvironmentList & | out |
| ) |  |  | `[static]`

static ACE_CString lcase | ( | const ACE_CString & | s | ) | `[static]`

static void loadActivatorsAsBinary | ( | ACE_Configuration & | config,
|  | Locator_Repository::AIMap & | map |
| ) |  |  | `[static]`

static void loadAsBinary | ( | ACE_Configuration & | config,
|  | Locator_Repository & | repo |
| ) |  |  | `[static]`

static int loadAsXML | ( | const ACE_CString & | fname,
|  | Locator_Repository & | repo |
| ) |  |  | `[static]`

static void loadServersAsBinary | ( | ACE_Configuration & | config,
|  | Locator_Repository::SIMap & | map |
| ) |  |  | `[static]`

static void saveAsXML | ( | const ACE_CString & | fname,
|  | Locator_Repository & | repo |
| ) |  |  | `[static]`

## Variable Documentation

const char* ACTIVATION = "Activation"`[static]`

const char* ACTIVATOR = "Activator"`[static]`

const char* ACTIVATORS_ROOT_KEY = "Activators"`[static]`

const char* ENVIRONMENT = "Environment"`[static]`

const char* IOR = "IOR"`[static]`

const char* PARTIAL_IOR = "Location"`[static]`

const char* SERVERS_ROOT_KEY = "Servers"`[static]`

const char* START_LIMIT = "StartLimit"`[static]`

const char* STARTUP_COMMAND = "StartupCommand"`[static]`

const char* TOKEN = "Token"`[static]`

const char* WIN32_REG_KEY = "Software\\TAO\\ImplementationRepository"`[static]`

const char* WORKING_DIR = "WorkingDir"`[static]`